From e294cff2872e874f06a3160a3879e6e4c11dedf0 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 28/48] pep8: remove unused imports, reformat some things


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 89cacf3..6136167 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -41,7 +41,6 @@ Example usage:
 
 import sys
 import datetime
-import dateutil.parser
 import yaml
 
 import gi
@@ -52,10 +51,7 @@ from gi.repository import Modulemd
 from .api import ModuleAPI
 from .artifacts import ModuleArtifacts
 from .buildopts import ModuleBuildopts
-from .buildopts.rpms import ModuleBuildoptsRPMs
 from .components import ModuleComponents
-from .components.module import ModuleComponentModule
-from .components.rpm import ModuleComponentRPM
 from .filter import ModuleFilter
 from .profile import ModuleProfile
 
@@ -65,7 +61,8 @@ if sys.version_info > (3,):
 else:
     integer_types = (int, long)  # noqa
 
-supported_mdversions = ( 1, )
+supported_mdversions = (1,)
+
 
 def load_all(f):
     """Loads a metadata file containing multiple modulemd documents
@@ -83,6 +80,7 @@ def load_all(f):
 
     return l
 
+
 def loads_all(s):
     """Loads multiple modulemd documents from a YAML multidocument
     string.
@@ -99,6 +97,7 @@ def loads_all(s):
 
     return l
 
+
 def dump_all(f, l):
     """Dumps a list of ModuleMetadata instances into a file.
 
@@ -111,6 +110,7 @@ def dump_all(f, l):
 
     return Modulemd.Module.dump_all(mmds, f)
 
+
 def dumps_all(l):
     """Dumps a list of ModuleMetadata instance into a YAML multidocument
     string.
@@ -123,6 +123,7 @@ def dumps_all(l):
 
     return Modulemd.Module.dumps_all(mmds)
 
+
 class ModuleMetadata(object):
     """Class representing the whole module."""
 
@@ -162,52 +163,20 @@ class ModuleMetadata(object):
         self.module.set_rpm_artifacts(Modulemd.SimpleSet())
 
     def __repr__(self):
-        return ("<ModuleMetadata: "
-                "mdversion: {0}, "
-                "name: {1}, "
-                "stream: {2}, "
-                "version: {3}, "
-                "context: {4}, "
-                "arch: {5}, "
-                "summary: {6}, "
-                "description: {7}, "
-                "eol: {8}, "
-                "module_licenses: {9}, "
-                "content_licenses: {10}, "
-                "buildrequires: {11}, "
-                "requires: {12}, "
-                "community: {13}, "
-                "documentation: {14}, "
-                "tracker: {15}, "
-                "xmd: {16}, "
-                "profiles: {17}, "
-                "api: {18}, "
-                "filter: {19}, "
-                "components: {20}, "
-                "artifacts: {21}>").format(
-                        repr(self.mdversion),
-                        repr(self.name),
-                        repr(self.stream),
-                        repr(self.version),
-                        repr(self.context),
-                        repr(self.arch),
-                        repr(self.summary),
-                        repr(self.description),
-                        repr(self.eol),
-                        repr(sorted(self.module_licenses)),
-                        repr(sorted(self.content_licenses)),
-                        repr(sorted(self.buildrequires)),
-                        repr(sorted(self.requires)),
-                        repr(self.community),
-                        repr(self.documentation),
-                        repr(self.tracker),
-                        repr(sorted(self.xmd)),
-                        repr(sorted(self.profiles)),
-                        repr(self.api),
-                        repr(self.filter),
-                        repr(self.components),
-                        repr(self.artifacts)
-                )
+        return ("<ModuleMetadata: mdversion: {!r}, name: {!r}, stream: {!r},"
+                " version: {!r}, context: {!r}, arch: {!r}, summary: {!r},"
+                " description: {!r}, eol: {!r}, module_licenses: {!r},"
+                " content_licenses: {!r}, buildrequires: {!r}, requires: {!r},"
+                " community: {!r}, documentation: {!r}, tracker: {!r},"
+                " xmd: {!r}, profiles: {!r}, api: {!r}, filter: {!r},"
+                " components: {!r}, artifacts: {!r}>").format(
+                    self.mdversion, self.name, self.stream, self.version,
+                    self.context, self.arch, self.summary, self.description,
+                    self.eol, sorted(self.module_licenses),
+                    sorted(self.content_licenses), sorted(self.buildrequires),
+                    sorted(self.requires), self.community, self.documentation,
+                    self.tracker, sorted(self.xmd), sorted(self.profiles),
+                    self.api, self.filter, self.components, self.artifacts)
 
     def load(self, f):
         """Loads a metadata file into the instance.
@@ -669,7 +638,6 @@ class ModuleMetadata(object):
 
         return GLib.Variant('a{sv}', d_variant)
 
-
     @xmd.setter
     def xmd(self, d):
         if not isinstance(d, dict):
diff --git a/modulemd/api.py b/modulemd/api.py
index e4862ab..3821daf 100644
--- a/modulemd/api.py
+++ b/modulemd/api.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-supported_content = ( "rpms", )
+supported_content = ("rpms",)
 
 from gi.repository import Modulemd
 
@@ -35,10 +35,7 @@ class ModuleAPI(object):
         self.parent = parent
 
     def __repr__(self):
-        return ("<ModuleAPI: "
-                "rpms: {0}>").format(
-                        repr(sorted(self.rpms))
-                        )
+        return "<ModuleAPI: rpms: {!r}>".format(sorted(self.rpms))
 
     def __bool__(self):
         return True if self.rpms else False
diff --git a/modulemd/artifacts.py b/modulemd/artifacts.py
index 88c20da..b42d75d 100644
--- a/modulemd/artifacts.py
+++ b/modulemd/artifacts.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-supported_content = ( "rpms", )
+supported_content = ("rpms",)
 
 from gi.repository import Modulemd
 
@@ -35,10 +35,7 @@ class ModuleArtifacts(object):
         self.parent = parent
 
     def __repr__(self):
-        return ("<ModuleArtifacts: "
-                "rpms: {0}>").format(
-                        repr(sorted(self.rpms))
-                        )
+        return "<ModuleArtifacts: rpms: {!r}>".format(sorted(self.rpms))
 
     def __bool__(self):
         return True if self.rpms else False
diff --git a/modulemd/buildopts/__init__.py b/modulemd/buildopts/__init__.py
index 21691f6..b92c9fd 100644
--- a/modulemd/buildopts/__init__.py
+++ b/modulemd/buildopts/__init__.py
@@ -24,7 +24,7 @@
 
 from .rpms import ModuleBuildoptsRPMs
 
-supported_content = ( "rpms", )
+supported_content = ("rpms",)
 
 class ModuleBuildopts(object):
     """Class representing component build options."""
@@ -36,10 +36,7 @@ class ModuleBuildopts(object):
 
 
     def __repr__(self):
-        return ("<ModuleBuildopts: "
-                "rpms: {0}>").format(
-                        repr(self.rpms)
-                        )
+        return "<ModuleBuildopts: rpms: {!r}>".format(self.rpms)
 
     def __bool__(self):
         return True if self.rpms else False
diff --git a/modulemd/buildopts/base.py b/modulemd/buildopts/base.py
index b1d3fc0..870e6c9 100644
--- a/modulemd/buildopts/base.py
+++ b/modulemd/buildopts/base.py
@@ -22,7 +22,6 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-import sys
 
 class ModuleBuildoptsBase(object):
     """A base class for definining component build options."""
diff --git a/modulemd/buildopts/rpms.py b/modulemd/buildopts/rpms.py
index a552e0c..d601d1e 100644
--- a/modulemd/buildopts/rpms.py
+++ b/modulemd/buildopts/rpms.py
@@ -24,6 +24,7 @@
 
 from .base import ModuleBuildoptsBase
 
+
 class ModuleBuildoptsRPMs(ModuleBuildoptsBase):
     """A buildopts class for handling RPM content build options."""
 
@@ -49,10 +50,7 @@ class ModuleBuildoptsRPMs(ModuleBuildoptsBase):
 
 
     def __repr__(self):
-        return ("<ModuleBuildoptsRPMs: "
-                "macros: {0}>").format(
-                        repr(self.macros)
-                        )
+        return "<ModuleBuildoptsRPMs: macros: {!r}>".format(self.macros)
 
     def __bool__(self):
         return True if self.macros else False
diff --git a/modulemd/components/__init__.py b/modulemd/components/__init__.py
index 44bf4ab..027c73e 100644
--- a/modulemd/components/__init__.py
+++ b/modulemd/components/__init__.py
@@ -28,7 +28,8 @@ from .module import ModuleComponentModule
 from .rpm import ModuleComponentRPM
 
 
-supported_content = ( "rpms", "modules", )
+supported_content = ("rpms", "modules",)
+
 
 class ModuleComponents(object):
     """Class representing components of a module."""
@@ -40,12 +41,8 @@ class ModuleComponents(object):
         self._modules = {}
 
     def __repr__(self):
-        return ("<ModuleComponents: "
-                "modules: {0}, "
-                "rpms: {1}>").format(
-                        repr(sorted(self.modules)),
-                        repr(sorted(self.rpms))
-                        )
+        return "<ModuleComponents: modules: {!r}, rpms: {!r}>".format(
+            sorted(self.modules), sorted(self.rpms))
 
     def __bool__(self):
         return True if self.all else False
diff --git a/modulemd/components/base.py b/modulemd/components/base.py
index adedb65..96da94d 100644
--- a/modulemd/components/base.py
+++ b/modulemd/components/base.py
@@ -40,14 +40,9 @@ class ModuleComponentBase(object):
         self.buildorder = buildorder
 
     def __repr__(self):
-        return ("<ModuleComponentBase: "
-                "name: {0}, "
-                "rationale: {1}, "
-                "buildorder: {2}>").format(
-                        repr(self.name),
-                        repr(self.rationale),
-                        repr(self.buildorder)
-                        )
+        return ("<ModuleComponentBase: name: {!r}, rationale: {!r},"
+                " buildorder: {!r}>").format(self.name, self.rationale,
+                                             self.buildorder)
 
     def __bool__(self):
         return True if (self.name or self.rationale or self.buildorder) else False
diff --git a/modulemd/components/module.py b/modulemd/components/module.py
index efa9cfb..31dbfc7 100644
--- a/modulemd/components/module.py
+++ b/modulemd/components/module.py
@@ -24,11 +24,12 @@
 
 from .base import ModuleComponentBase
 
+
 class ModuleComponentModule(ModuleComponentBase):
     """A component class for handling module-type content."""
 
     def __init__(self, name, rationale, buildorder=0,
-            repository="", ref=""):
+                 repository="", ref=""):
         """Creates a new ModuleComponentModule instance."""
         super(ModuleComponentModule, self).__init__(name, rationale, buildorder)
         self.repository = repository
@@ -42,18 +43,10 @@ class ModuleComponentModule(ModuleComponentBase):
                    ref=native_comp.get_ref() or "")
 
     def __repr__(self):
-        return ("<ModuleComponentModule: "
-                "name: {0}, "
-                "rationale: {1}, "
-                "buildorder: {2}, "
-                "repository: {3}, "
-                "ref: {4}>").format(
-                        repr(self.name),
-                        repr(self.rationale),
-                        repr(self.buildorder),
-                        repr(self.repository),
-                        repr(self.ref)
-                        )
+        return ("<ModuleComponentModule: name: {!r}, rationale: {!r},"
+                " buildorder: {!r}, repository: {!r}, ref: {!r}>").format(
+                    self.name, self.rationale, self.buildorder,
+                    self.repository, self.ref)
 
     def __bool__(self):
         return True if (self.name or self.rationale or self.buildorder or
diff --git a/modulemd/components/rpm.py b/modulemd/components/rpm.py
index 96d305f..9a6e47b 100644
--- a/modulemd/components/rpm.py
+++ b/modulemd/components/rpm.py
@@ -24,11 +24,13 @@
 
 from .base import ModuleComponentBase
 
+
 class ModuleComponentRPM(ModuleComponentBase):
     """A component class for handling RPM content."""
 
     def __init__(self, name, rationale, buildorder=0,
-            repository="", ref="", cache="", arches=set(), multilib=set()):
+                 repository="", ref="", cache="", arches=set(),
+                 multilib=set()):
         """Creates a new ModuleComponentRPM instance."""
         super(ModuleComponentRPM, self).__init__(name, rationale, buildorder)
         self.repository = repository
@@ -48,24 +50,12 @@ class ModuleComponentRPM(ModuleComponentBase):
                    multilib=set(native_comp.get_multilib().get()))
 
     def __repr__(self):
-        return ("<ModuleComponentRPM: "
-                "name: {0}, "
-                "rationale: {1}, "
-                "buildorder: {2}, "
-                "repository: {3}, "
-                "ref: {4}, "
-                "cache: {5}, "
-                "arches: {6}, "
-                "multilib: {7}>").format(
-                        repr(self.name),
-                        repr(self.rationale),
-                        repr(self.buildorder),
-                        repr(self.repository),
-                        repr(self.ref),
-                        repr(self.cache),
-                        repr(sorted(self.arches)),
-                        repr(sorted(self.multilib))
-                        )
+        return ("<ModuleComponentRPM: name: {!r}, rationale: {!r},"
+                " buildorder: {!r}, repository: {!r}, ref: {!r}, cache: {!r},"
+                " arches: {!r}, multilib: {!r}>").format(
+                    self.name, self.rationale, self.buildorder,
+                    self.repository, self.ref, self.cache, sorted(self.arches),
+                    sorted(self.multilib))
 
     def __bool__(self):
         return True if (self.name or self.rationale or self.buildorder or
diff --git a/modulemd/filter.py b/modulemd/filter.py
index d4b91fc..630d9c3 100644
--- a/modulemd/filter.py
+++ b/modulemd/filter.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-supported_content = ( "rpms", )
+supported_content = ("rpms",)
 
 from gi.repository import Modulemd
 
@@ -35,10 +35,7 @@ class ModuleFilter(object):
         self.parent = parent
 
     def __repr__(self):
-        return ("<ModuleFilter: "
-                "rpms: {0}>").format(
-                        repr(sorted(self.rpms))
-                        )
+        return "<ModuleFilter: rpms: {!r}>".format(sorted(self.rpms))
 
     def __bool__(self):
         return True if self.rpms else False
diff --git a/modulemd/profile.py b/modulemd/profile.py
index 4ddc5f9..abd515a 100644
--- a/modulemd/profile.py
+++ b/modulemd/profile.py
@@ -22,7 +22,7 @@
 #
 # Written by Petr Šabata <contyk@redhat.com>
 
-supported_content = ( "rpms", )
+supported_content = ("rpms",)
 
 from gi.repository import Modulemd
 
@@ -45,12 +45,9 @@ class ModuleProfile(object):
             self.name = name
 
     def __repr__(self):
-        return ("<ModuleProfile: "
-                "description: {0}, "
-                "rpms: {1}>").format(
-                        repr(self.description),
-                        repr(sorted(self.rpms))
-                        )
+        return ("<ModuleProfile: name: {!r}, description: {!r},"
+                " rpms: {!r}>").format(self.name, self.description,
+                                       sorted(self.rpms))
 
     def __bool__(self):
         return True if (self.description or self.rpms) else False

